# $EPIC: nochops,v 1.3 2001/08/23 19:53:15 crazyed Exp $
Synopsis:
   $nochops(<channel>)

Technical:
   * If the <channel> argument is omitted, the current window's current
     channel is used.  THIS IS NOT NECCESARILY THE CORRECT CHANNEL IN 
     AN /ON!
   * If the <channel> argument is the literal star character (``*''), the
     current window's current channel is used.  THIS IS NOT NECCESARILY THE
     CORRECT CHANNEL IN AN /ON!
   * This function returns the non-channel-operators on the specified channel.
   * You must be on the channel; the empty string is returned if you are not.
   * Before /ON CHANNEL_SYNC is thrown, this function may return the empty
     string (because EPIC does not know who are the channel operators yet.)
   * A design defect in the historical server implementation may cause 
     truncated nicknames to be included in the list.  The client corrects 
     these truncated nicknames by watching the WHO reply.  Before 
     /ON CHANNEL_SYNC is thrown, truncated nicknames may be included in 
     this list.
   * In general you cannot use this function in a status_format.

Practical:
   This function is handy if you want to +o all of the non-chanops in 
   your channel, or if you want to kick them. >;-)  Or maybe you just
   want to send them a message.

Returns:
   The non-channel-operators on the specified channel.  You must be on the 
   channel.  Before /ON CHANNEL_SYNC, this function may return the empty
   string, or a list with truncated nicknames.

Examples:
   $nochops(#foo)             shows non-channel operators on channel #foo
   $nochops(*)                shows non-channel operators on current channel
   $nochops()                 shows non-channel operators on current channel

History:
   This function first appeared in "+3" (post-ircII, pre-EPIC).  Support
   for the default argument and for "*" first appeared in "+4".

See Also:
   names(2); onchannel(6); chops(6)

